Subject: Re: [EN] NNCP 8.11.0 release announcement

From: John Goerzen <[email-masked]>
Date: Tue, 23 Jul 2024 20:45:03 -0500

Thanks Sergey!

I'm working to package this up for Debian, and running into an issue.
Debian's policy is to not build using vendored (included copies of other
libraries) in the tree.  So we build from your Git tree.

go.mod has been updated to refer to recfile v2.

However, I am getting recfile from git://go.cypherpunks.su/gorecfile and
there's nothing there that looks like a v2.

Is there a new location that I should be looking for that version?

Thanks!

- John

On Tue, Jul 23 2024, Sergey Matveev wrote:

> I am pleased to announce NNCP 8.11.0 release availability!
>
> NNCP (Node to Node copy) is a collection of utilities simplifying
> secure store-and-forward files and mail exchanging.
>
> This utilities are intended to help build up small size (dozens of
> nodes) ad-hoc friend-to-friend (F2F) statically routed darknet
> delay-tolerant networks for fire-and-forget secure reliable files, file
> requests, Internet mail and commands transmission. All packets are
> integrity checked, end-to-end encrypted (E2EE), explicitly authenticated
> by known participants public keys. Onion encryption is applied to
> relayed packets. Each node acts both as a client and server, can use
> push and poll behaviour model. Also there is multicasting areas support.
>
> Out-of-box offline sneakernet/floppynet, dead drops, sequential and
> append-only CD-ROM/tape storages, air-gapped computers support. But
> online TCP daemon with full-duplex resumable data transmission exists.
>
> ------------------------ >8 ------------------------
>
> The main improvements for that release are:
>
> * Fixed buildability under Go 1.22.  Now it is the minimal version.
> * Updated dependant libraries.
> * 'go.cypherpunks.ru' Go module name is changed to
>   'go.cypherpunks.su', as domain will expire soon.
>
> ------------------------ >8 ------------------------
>
> NNCP's home page is: http://www.nncpgo.org/
>
> Source code and its signature for that version can be found here:
>
>     http://www.nncpgo.org/download/nncp-8.11.0.tar.xz (2600 KiB)
>     http://www.nncpgo.org/download/nncp-8.11.0.tar.xz.asc
>     http://www.nncpgo.org/download/nncp-8.11.0.tar.xz.sig
>
> OpenPGP key: 92C2 F0AE FE73 208E 46BF  F3DE 2B25 868E 75A1 A953
>              NNCP releases <[email-masked]>
> OpenSSH key: SHA256:FRiWawVNBkyS3jFn8uZ/JlT+PWKSFbhWe5XSixp1+SY
>
> There are mirrors where you can also get the source code tarballs:
> http://www.nncpgo.org/Mirrors.html
>
> Please send questions regarding the use of NNCP, bug reports and patches
> to mailing list: http://lists.cypherpunks.su/nncp_002ddevel.html